Bug 225148 - New port: archivers/urbackup-server the server component from urbackup.org
Summary: New port: archivers/urbackup-server the server component from urbackup.org
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-13 21:04 UTC by freebsd
Modified: 2018-04-15 17:01 UTC (History)
4 users (show)

See Also:


Attachments
.diff file for new urbackup-server port (14.15 KB, patch)
2018-01-13 21:04 UTC, freebsd
no flags Details | Diff
.diff for second version of port, based on Yuri's comments. (13.47 KB, patch)
2018-01-14 04:23 UTC, freebsd
no flags Details | Diff
Differences between first and second version of port. (1.04 KB, text/plain)
2018-01-14 04:44 UTC, freebsd
no flags Details
Upgrade to version 2.2.8 from upstream (13.58 KB, patch)
2018-03-23 02:20 UTC, freebsd
no flags Details | Diff
New patch to add rc script and choose new UID/GID (14.92 KB, patch)
2018-04-15 16:18 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2018-01-13 21:04:40 UTC
Created attachment 189692 [details]
.diff file for new urbackup-server port

UrBackup is an easy to setup Open Source client/server backup system, that through a combination of image and file backups accomplishes both data safety and a fast restoration time.

File and image backups are made while the system is running without interrupting current processes.

UrBackup also continuously watches folders you want backed up in order to quickly find differences to previous backups. Because of that, incremental file backups are really fast.

Your files can be restored through the web interface, via the client or the Windows Explorer while the backups of drive volumes can be restored with a bootable CD or USB-Stick (bare metal restore).

A web interface makes setting up your own backup server really easy.

WWW: https://www.urbackup.org
Comment 1 Yuri Victorovich freebsd_committer 2018-01-13 22:59:23 UTC
Please don't install
> %%DOCSDIR%%/COPYING
It should be covered by LICENSE_FILE.

I suggest you use
> PORTDOCS=	*
instead of listing docs.

Please remove the commented out lines, they aren't needed.

In MASTER_SITES, please replace 2.1.20 with ${DISTVERSION}.

You can move bin/urbackupsrv up, and get rid of its @mode line.
Comment 2 Yuri Victorovich freebsd_committer 2018-01-13 23:00:19 UTC
Also, option DOCS needs to be defined when you have docs.
Comment 3 freebsd 2018-01-14 04:23:29 UTC
Created attachment 189697 [details]
.diff for second version of port, based on Yuri's comments.
Comment 4 freebsd 2018-01-14 04:26:16 UTC
Comment on attachment 189697 [details]
.diff for second version of port, based on Yuri's comments.

First port; Thanks for the feedback. :)

After reviewing the docs in more detail, I removed them altogether (Makefile and pkg-plist).

Moved bin/urbackupsrv up in the pkg-plist and removed its mode.

Sorry about the commented lines. They were last-minute changes based on portlint that I forgot to remove.
Comment 5 freebsd 2018-01-14 04:44:00 UTC
Created attachment 189698 [details]
Differences between first and second version of port.
Comment 6 freebsd 2018-02-12 23:52:38 UTC
Plase let me know if there is anything else you need from me to prepare this port for committing.
Comment 7 freebsd 2018-03-23 02:20:47 UTC
Created attachment 191747 [details]
Upgrade to version 2.2.8 from upstream

This new .diff reflects an upstream update to version 2.2.8 since I submitted the original port.

I have also cleaned up the naming of the rc script/variable (from urbackup to urbackup_server) for consistency with the port name, and to better allow for a future port for the client (if it will build).

I also added USES+=fakeroot to the Makefile to facilitate non-root building (the port sets SUID and SGID bits on a couple files), and added a warning about these files to pkg-message.in.

The port passes portlint and builds in Pourdriere, and the rc script passes rclint.
Comment 8 Kurt Jaeger freebsd_committer 2018-04-15 15:53:12 UTC
portlint complains:

FATAL: Makefile: urbackup_server listed in SUB_FILES/USE_RC_SUBR, but files/urbackup_server.in is missing.
Comment 9 freebsd 2018-04-15 16:18:59 UTC
Created attachment 192531 [details]
New patch to add rc script and choose new UID/GID
Comment 10 freebsd 2018-04-15 16:20:40 UTC
(In reply to Kurt Jaeger from comment #8)

Sorry, I guess I forgot to 'svn add' the rc script prior to diff'ing. Also, it looks like the chosen UID/GID have since been taken. This has been addressed.
Comment 11 Kurt Jaeger freebsd_committer 2018-04-15 16:47:14 UTC
testbuilds at work, with 2.2.10
Comment 12 Kurt Jaeger freebsd_committer 2018-04-15 17:00:21 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2018-04-15 17:01:10 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 15 17:00:11 UTC 2018
New revision: 467400
URL: https://svnweb.freebsd.org/changeset/ports/467400

Log:
  New port: archivers/urbackup-server

  UrBackup is an easy to setup Open Source client/server backup system,
  that through a combination of image and file backups accomplishes
  both data safety and a fast restoration time.

  File and image backups are made while the system is running without
  interrupting current processes.

  UrBackup also continuously watches folders you want backed up in
  order to quickly find differences to previous backups. Because of
  that, incremental file backups are really fast.

  Your files can be restored through the web interface, via the client or the
  Windows Explorer while the backups of drive volumes can be restored with a
  bootable CD or USB-Stick (bare metal restore).

  A web interface makes setting up your own backup server really easy.

  WWW: https://www.urbackup.org

  PR:		225148
  Submitted by:	Kirk Coombs <freebsd@coombscloud.com>

Changes:
  head/archivers/Makefile
  head/archivers/urbackup-server/
  head/archivers/urbackup-server/Makefile
  head/archivers/urbackup-server/distinfo
  head/archivers/urbackup-server/files/
  head/archivers/urbackup-server/files/pkg-message.in
  head/archivers/urbackup-server/files/urbackup_server.in
  head/archivers/urbackup-server/pkg-descr
  head/archivers/urbackup-server/pkg-plist